import { connect } from 'react-redux'
import AppContainer from '../../view/appContainer'
import home from '../../view/home'
import { CHANGEVALUE, DECREASE, INCREASE } from '../action'
import * as dispathcInterface from '../connect/dispatchInterface'

function mapStateToProps(state: any) {
    return {
        count: state.count
    }
}

function mapDispatchToProps(dispatch: (obj: any) => void) {
    return {
        [CHANGEVALUE]: (obj: dispathcInterface.ICHANGEVALUE) => {
            dispatch(obj)
        },
        [DECREASE]: () => {
            dispatch({ type: 'DECREASE' })
        },
        [INCREASE]: () => {
            dispatch({ type: 'INCREASE' })
        }
    }
}
export const appContainer = connect(mapStateToProps, mapDispatchToProps)(AppContainer)
export const Home = connect(mapStateToProps, mapDispatchToProps)(home)

