
import { IInitState } from '../store'

interface IActionType {
    type: string,
    value: string
}

export default function reducers (state: IInitState , action: IActionType) {
    switch (action.type) {
        case 'INCREASE':
            return { count: ++state.count }
            break
        case 'DECREASE':
            return { count: --state.count }
            break
        case 'CHANGEVALUE':
            return {count: action.value}
            break
        default:
            return { count: state.count }
    }
}