import * as React from 'react'
import DecreaseBtn from '../../components/decreaseBtn'
import IncreaseBtn from '../../components/increaseBtn'
import NowValue from '../../components/showValue'
// import { store } from '../../redux/store'
import './index.less'

export default class AppContainer extends React.Component<any, any> {
    constructor (props:any) {
        super(props)
        this.state = {
            title: 'This is Home Page'
        }
        this.handleDecreaseCB = this.handleDecreaseCB.bind(this)
        this.handleIncreaseCB = this.handleIncreaseCB.bind(this)
        this.handleChangeCB = this.handleChangeCB.bind(this)
    }
    public handleDecreaseCB () {
        this.props.DECREASE()
        // store.dispatch({type: 'DECREASE'})
    }
    public handleIncreaseCB () {
        this.props.INCREASE()
        // store.dispatch({type: 'INCREASE'})
    }
    public handleChangeCB (e: any) {
        const val = e.target.value
        const reg = /^[0-9]*$/
        if (!reg.test(val)) {
            alert('只能输入数字')
            return
        }
        this.props.CHANGEVALUE({
            type: 'CHANGEVALUE',
            value: val
        })
        // store.dispatch({
        //     descript: val,
        //     type: 'CHANGEVALUE'
        // })
    }
    public render ():JSX.Element {
        const { title } = this.state
        return (
            <div className="container">
                <h4>{title}</h4>
                <div className="container_count">
                    <DecreaseBtn handleDecrease={this.handleDecreaseCB}/>
                    <NowValue handleChange={this.handleChangeCB}/>
                    <IncreaseBtn handleIncrease={this.handleIncreaseCB}/>
                    {this.props.children}
                </div>
            </div>
        )    
    }
}
