import * as React from 'react'
import { store } from '../../redux/store'

interface IShowValueState {
    handleChange: object
}

export default class ShowValue extends React.Component<IShowValueState, any> {
    constructor (props: IShowValueState) {
        super(props)
        this.state = {
            handleChangeCB : this.props.handleChange
        }
    }
    public render (): JSX.Element {
        const { handleChangeCB } = this.state
        return (
            <div className="showValue">
                <input type="text" className="showValue_input" value={store.getState().count} onChange={handleChangeCB}/>
            </div>
        )
    }
}